Skip to main content
GET
/
utils
/
context-packs
/
{name}
/
soft-fk-edges
List soft FK edges
curl --request GET \
  --url https://api.example.com/utils/context-packs/{name}/soft-fk-edges \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "organization_id": "<string>",
      "project_id": "<string>",
      "context_pack_id": "<string>",
      "from_table": "<string>",
      "from_column": "<string>",
      "to_table": "<string>",
      "to_column": "<string>",
      "description": "<string>",
      "confidence": 123,
      "deprecated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 2,
    "limit": 50,
    "total_items": 1,
    "total_pages": 1,
    "next_page": 123,
    "prev_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string | null

Path Parameters

name
string
required

Context pack name

Query Parameters

from_table
string | null

Filter by from_table FQN

to_table
string | null

Filter by to_table FQN

status
enum<string> | null

Filter by status Lifecycle status of a soft FK edge.

Available options:
active,
deprecated,
deleted
page
integer
default:1

Page number

Required range: x >= 1
page_size
integer
default:20

Page size

Required range: 1 <= x <= 100

Response

Successful Response

data
SoftFkEdgeResponse · object[]
required
pagination
Pagination · object
required

Pagination metadata for list responses.